#pragma once
#include <mpg123.h>


class Server {
public:
    explicit Server();
    ~Server();
    void loop();

    long getRate() const;
    int getChannels() const;
    int getEncoding() const;

private:
    mpg123_handle* mpgHandle;

    long rate{};
    int channels{};
    int encoding{};
};
